Can't install Spreadsheet-ParseExcel-Simple in ActivePerl- using PPM

Posted by mjvidrinejr on 2017-01-26 14:01
Forums: PPM | OS: Windows 7

Hi, all,

I want to be able to read an Excel spreadsheet with ActivePerl. I tried to install Spreadsheet-ParseExcel-Simple using PPM, and I get the following message:

Updating files in site area ... failed
Installing 32 packages failed

ERROR: File conflict for 'C:/Perl64/html/site/lib/Spreadsheet/Reader/README.html'.
The package Spreadsheet-Reader-ExcelXML has already installed a file that package Spreadsheet-Reader-Format
wants to install.

I also tried installing Spreadsheet-Reader-ExcelXML with the same results. Please advise how I can make this installation.


ActiveState Staff
Fri, 2017-01-27 08:37

From the command line, run PPM with the --force option

mjvidrinejr | Fri, 2017-01-27 09:33

Thank you! Worked like a charm!


jam | Thu, 2018-03-08 10:45

On Windows, open a command window and execute the following command:

ppm --force install Spreadsheet-Reader-ExcelXML